# Generated from varia_model-0.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name varia_model

Name: rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}
Summary: A mixin to provide objects with magic attribute reading and writing
License: Apache 2.0
URL: https://github.com/RiotGames/varia_model
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(buff-ruby_engine) >= 0.1
# BuildRequires: rubygem(buff-ruby_engine) < 1
# BuildRequires: rubygem(thor) >= 0.18.0
# BuildRequires: rubygem(thor) < 0.19
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(fuubar)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-spork)
# BuildRequires: rubygem(spork)
BuildArch: noarch

%description
A mixin to provide objects with magic attribute reading and writing.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Thorfile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/varia_model.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.6.0-1
- Initial package
